Page MenuHomePhabricator

Use PDF post-processing service to generate final PDF
Closed, InvalidPublic

Description

As the final step of generating books in PDF format in the Collection extension, we'll need to use the post processing service from T173579: Expose PDF post-processing scripts as a stateless web service. The output PDF will be served to the user.

A/C

  • Ping the post-processing service with the PDF generated by ElectronPdfRender and get an output PDF with page numbers and the table of contents.
  • Serve the PDF to the user.

Related Objects

StatusSubtypeAssignedTask
ResolvedJKatzWMF
InvalidNone
StalledNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Invalidovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedpmiazga
Resolvedphuedx
Resolvedovasileva
Invalidovasileva
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
InvalidNone
Resolvedovasileva
InvalidNone
InvalidNone
Resolved dpatrick

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2017, 4:08 PM
ovasileva triaged this task as High priority.Aug 23 2017, 12:57 PM
ovasileva moved this task from Triage to Needs Analysis on the Proton board.
ovasileva moved this task from Needs Analysis to Backlog on the Proton board.Sep 6 2017, 6:58 PM
bmansurov renamed this task from Use PDF post-processing library to generate final PDF to Use PDF post-processing service to generate final PDF.Dec 6 2017, 6:42 PM
bmansurov updated the task description. (Show Details)
ovasileva closed this task as Invalid.Apr 9 2018, 2:47 PM

Closing as per T184772#4116906. Pediapress will be taking on rendering of PDF books.